Bug 1286070 - DHT - rebalance - Once User has run rebalance with 'start force' option and after successful completion of it, nothing got changed on volume.re run of rebalance is migrating files
DHT - rebalance - Once User has run rebalance with 'start force' option and ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: distribute (Show other bugs)
3.1
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Nithya Balachandran
storage-qa-internal@redhat.com
dht-rebalance, dht-fixed
: ZStream
Depends On: 956208
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-27 05:31 EST by Susant Kumar Palai
Modified: 2016-09-09 06:04 EDT (History)
12 users (show)

See Also:
Fixed In Version: 3.7.9-10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 956208
Environment:
Last Closed: 2016-09-09 06:04:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 Raghavendra G 2016-06-28 08:21:13 EDT
In the version specified, fix-layout changed the layout blindly even though the layout is spread on all the bricks and it doesn't has any anomalies (holes/overlaps). So, the second run of rebalance might've changed the layout and hence file migration. However this behavior is fixed in 3.1. It needs to retested.
Comment 4 Prasad Desala 2016-09-09 00:44:41 EDT
This issue is not seen on gluster build: 3.7.9-10.el7rhgs.x86_64.

Here are the steps that were followed,

1. Created a Distributed replica volume and started it.
2. Fuse Mounted the volume from the client-1 and created files and directories.
4. Added few bricks and started rebalance for that volume with force option.
5. Rebalance completed successfully as expected.
6. Without making any changes to I/O on mount point again started rebalance for that volume with force option.

Rebalance was completed and no files were rebalanced/migrated as there were no changes to I/O on mount point which is expected.

Hence, moving this bug state to Verified.
Comment 5 Nithya Balachandran 2016-09-09 06:04:56 EDT
Thanks Prasad. 

Closing this BZ as per comment#4.

Note You need to log in before you can comment on or make changes to this bug.